# $Revision: 1.20 $, $Date: 2010/08/21 19:08:02 $
%include	/usr/lib/rpm/macros.php
%define		_class		Image
%define		_subclass	Color
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - Manage and handles color data and conversions
Summary(pl.UTF-8):	%{_pearname} - obsługa konwersji i zarządzania kolorami
Name:		php-pear-%{_pearname}
Version:	1.0.4
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5905ecf48474fa6a8cd9e2d784344b1e
URL:		http://pear.php.net/package/Image_Color/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-gd
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Manage and handles color data and conversions.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Zarządzanie i obsługa danych o kolorach i ich konwersji.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

# don't care for tests
rm -rf $RPM_BUILD_ROOT%{php_pear_dir}/Image/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Image_Color.spec,v $
Revision 1.20  2010/08/21 19:08:02  glen
- updated deps with pearize.sh
- release 2

Revision 1.19  2010/08/19 19:31:39  glen
- up to 1.0.4

Revision 1.18  2008/12/28 12:39:55  adamg
- updated to 1.0.3

Revision 1.17  2008-01-31 12:16:49  glen
- rel 3

Revision 1.16  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.14  2006/11/26 13:42:18  glen
- rel 2: use php(extension) virtuals

Revision 1.13  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.12  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.11  2005/09/27 22:29:35  glen
- 1.0.2

Revision 1.10  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.9  2004/12/03 22:17:03  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.7  2004/04/17 15:47:03  adamg
- updated to 1.0.0

Revision 1.6  2003/10/07 20:55:00  adamg
- do not use macros in URL

Revision 1.5  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.4  2003/06/14 09:23:39  adamg
- cosmetics

Revision 1.3  2003/05/28 08:58:39  adamg
- massive attack: added source0-md5

Revision 1.2  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/01/02 23:33:13  blues
- initial release - stable class - STBR to Ra-updates-general

